<?php
//lab code



class Blog_Entry_Table {
    private $db;
    

    public function __construct ( $db ) {
        $this->db = $db;
    }


 public function saveEntry ( $title, $entry ) {
      $entrySQL = "INSERT INTO Blog_Entry ( Entry_Title, Entry_Text ) 
                     VALUES ( ?, ?)";
          $entryStatement = $this->db->prepare( $entrySQL );
          $formData = array( $title, $entry ); 
        try{
            $entryStatement->execute( $formData );
        } catch (Exception $e){
            $msg = "<p>You tried to run this sql: $entrySQL<p>
                    <p>Exception: $e</p>";
            trigger_error($msg);
        }
    }


public function getAllEntries () {
        $entrySQL = "SELECT Unique_ID, Entry_Title, SUBSTRING(Entry_Text, 1, 150) AS intro  FROM Blog_Entry";
        $statement = $this->db->prepare( $entrySQL );
        try{
            $statement->execute();
        } catch (Exception $e){
            $msg = "<p>You tried to run this sql: $entrySQL<p>
                    <p>Exception: $e</p>";
            trigger_error($msg);
        }
  return $statement;
    }
}



?>