<?php
//lab code
include_once "models/Table.class.php";
include_once "models/Blog_Entry_Table.class.php";
$entryTable = new Blog_Entry_Table( $db );

//was editor form submitted?
$editorSubmitted = isset( $_POST['action'] );
if ( $editorSubmitted ) {  
    $buttonClicked = $_POST['action'];
    $id = $_POST['Unique_ID'];
    $save = ($buttonClicked === 'Save');
    $insertNewEntry  = ( $save and $id === '0' );
    $updateEntry = ( $save and $insertNewEntry === false );    
    $deleteEntry = ($buttonClicked === 'Delete');
     
    $title = $_POST['Entry_Title'];
    $entry = $_POST['Entry_Text'];

    if ( $insertNewEntry ) {
        $savedEntryId = $entryTable->saveEntry( $title, $entry );
    } else if ( $updateEntry ){
        $entryTable->updateEntry( $id, $title, $entry );
        $savedEntryId = $id;
    } else if ( $deleteEntry ) {
        $entryTable->deleteEntry( $id );
    } 
}

$entryRequested = isset( $_GET['Unique_ID'] );
$entrySaved = isset( $savedEntryId );

if ( $entryRequested ) {
    $id = $_GET['Unique_ID'];
    $entryData = $entryTable->getEntry( $id );
    $entryData->entry_id = $id;
    $entryData->message = "";
} else if ( $entrySaved ) {
    $entryData = $entryTable->getEntry( $savedEntryId );
    $entryData->message = "Entry was saved";
} else {
    $entryData = new StdClass();
    $entryData->Unique_ID = 0;
    $entryData->Entry_Title = "";
    $entryData->Entry_Text = "";
    $entryData->message = "";
}


include_once "views/admin/editor-html.php";


?>