<?

class Admin_Table extends Table {

    public function create ( $email, $password ) {
        $this->checkEmail( $email );
        $sql = "INSERT INTO Admin ( Email, Password )
                VALUES( ?, SHA1(?) )";
        $data= array( $email, $password );
        $this->makeStatement( $sql, $data );  
    }

     private function checkEmail ($email) {
        $sql = "SELECT Email FROM Admin WHERE email = ?";
        $data = array( $email );
        $this->makeStatement( $sql, $data );
        $statement = $this->makeStatement( $sql, $data );
        if ( $statement->rowCount() === 1 ) {
            $e = new Exception("Error: '$email' already used!");
            throw $e;
        } 
    }

    public function checkCredentials ( $email, $password ){
        $sql = "SELECT Email FROM Admin
                WHERE Email = ? AND Password = SHA1(?)";
        $data = array($email, $password);
        $statement = $this->makeStatement( $sql, $data );
        if ( $statement->rowCount() === 1 ) {
            $out = true;
        } else {
            $loginProblem = new Exception( "login failed!" );
            throw $loginProblem;
        }
        return $out;
    }


} 